<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nkfn="/WEB-INF/nekurakFunkce"
		  version="2.0">

	<jsp:directive.attribute name="detail" type="cz.frantovo.nekurak.web.Detail" required="true"/>

	<c:choose>
		<c:when test="${detail.mapa == null}">
			<p>
				Souřadnice tohoto podniku nejsou známé.<br/>
				(možná ještě nebyl proveden jejich výpočet)
			</p>
		</c:when>
		<c:otherwise>
			<p>
				Zeměpisná šířka: ${detail.podnik.sirka}<br/>
				Zeměpisná délka: ${detail.podnik.delka}<br/>
				Loc: ${detail.podnik.sirka}, ${detail.podnik.delka}<br/>
			</p>
			<p>
				<img alt="mapa" src="${fn:escapeXml(detail.mapa)}"/>
			</p>
		</c:otherwise>
	</c:choose>


</jsp:root>